Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Data Provider/OGR

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 7, macOS 10.13.6 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27438

Description

The "Save Selected Features As" operation fails if the destination layer is in the same GeoPackage as the source layer, even if they have

different layer names. The error produced is:

Export to vector file failed.

Error: Cannot overwrite a OGR layer in place

Steps to reproduce:

    1. Add a vector GeoPackage layer to the map.

    2. Select some features.

    3. Right-click the layer, and choose Export -> Save Selected Features As.

    4. Choose the source GeoPackage, and provide a different layer name.

    5. Click OK.

Associated revisions

Revision abc96ce2 - 2018-08-21 07:32 PM - Alessandro Pasotti 

[bugfix] Vector file writer: also check for layername before giving up

while (over)writing gpkg &C from vector file writer

With tests

Fixes #19611 - Cannot save selected features back to the same GeoPackage

History

#1 - 2018-08-21 06:09 PM - Alessandro Pasotti

I'm afraid this is an GDAL/OGR issue. But I'll have a closer look.

#2 - 2018-08-21 06:15 PM - Alessandro Pasotti

It's a QGIS issue.

#3 - 2018-08-21 07:34 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti
- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/7674

#4 - 2018-08-22 10:12 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|abc96ce2914caa0694071f4c3f173e56a1f4dfc3.

#5 - 2018-08-22 10:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented
